Package org.codehaus.groovy.classgen

# Class InnerClassVisitorHelper

java.lang.Object
org.codehaus.groovy.ast.CodeVisitorSupport
org.codehaus.groovy.ast.ClassCodeVisitorSupport
org.codehaus.groovy.classgen.InnerClassVisitorHelper

All Implemented Interfaces:
  `GroovyClassVisitor`, `GroovyCodeVisitor`, `ErrorCollecting`

Direct Known Subclasses:
  `InnerClassCompletionVisitor`, `InnerClassVisitor`

    public abstract class InnerClassVisitorHelper
    extends ClassCodeVisitorSupport

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InnerClassVisitorHelper()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected static void` | `addFieldInit​(Parameter p, FieldNode fn, BlockStatement block)` |
  `protected static ClassNode` | `getClassNode​(ClassNode cn, boolean isStatic)` |
  `protected static int` | `getObjectDistance​(ClassNode cn)` |
  `protected static boolean` | `isStatic​(InnerClassNode cn)` |
  `protected static void` | `setMethodDispatcherCode​(BlockStatement block, Expression target, Parameter[] parameters)` |
  `protected static void` | `setPropertyGetterDispatcher​(BlockStatement block, Expression target, Parameter[] parameters)` |
  `protected static void` | `setPropertySetterDispatcher​(BlockStatement block, Expression target, Parameter[] parameters)` |
  `protected static boolean` | `shouldHandleImplicitThisForInnerClass​(ClassNode cn)` |

  ### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

  `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

  ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

  `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.GroovyCodeVisitor

  `visitEmptyExpression, visitListOfExpressions`

- ## Constructor Details

  - ### InnerClassVisitorHelper

    public InnerClassVisitorHelper()

- ## Method Details

  - ### addFieldInit

    protected static void addFieldInit​(Parameter p, FieldNode fn, BlockStatement block)

  - ### setPropertyGetterDispatcher

    protected static void setPropertyGetterDispatcher​(BlockStatement block, Expression target, Parameter[] parameters)

  - ### setPropertySetterDispatcher

    protected static void setPropertySetterDispatcher​(BlockStatement block, Expression target, Parameter[] parameters)

  - ### setMethodDispatcherCode

    protected static void setMethodDispatcherCode​(BlockStatement block, Expression target, Parameter[] parameters)

  - ### isStatic

    protected static boolean isStatic​(InnerClassNode cn)

  - ### getClassNode

    protected static ClassNode getClassNode​(ClassNode cn, boolean isStatic)

  - ### getObjectDistance

    protected static int getObjectDistance​(ClassNode cn)

  - ### shouldHandleImplicitThisForInnerClass

    protected static boolean shouldHandleImplicitThisForInnerClass​(ClassNode cn)